<?php

declare(strict_types=1);

namespace App\Entity\Billing;

// use DH\Auditor\Provider\Doctrine\Auditing\Annotation\Auditable;
use ApiPlatform\Metadata\ApiResource;
use Doctrine\ORM\Mapping as ORM;

/**
 * Totaux des lignes BillLine d'une facture BillAccounting, avec calcul de TVA.
 */
// #[Auditable]
#[ApiResource(operations: [])]
#[ORM\Entity]
class BillTotalDetail
{
    #[ORM\Id]
    #[ORM\Column]
    #[ORM\GeneratedValue]
    private ?int $id = null;

    public function getId(): ?int
    {
        return $this->id;
    }
}
